package com.skyversation.poiaddr.entity;

import java.util.Date;

public class PYToken {

    /***
     * 主键id
     */
    private Integer id;

    /**
     * token
     */
    private String token;

    /**
     * 使用方式
     */
    private String useType;

    /**
     * 申请人
     */
    private String applicant;

    /**
     * 申请单位
     */
    private String applicantUnit;

    /**
     * 数据使用单位
     */
    private String dataUseUnit;

    /**
     * 场景分类
     */
    private String sceneCategory;

    /**
     * 事项名称，不能为空
     */
    private String matterName;

    /**
     * 需求描述
     */
    private String demandDescription;

    /**
     * 共享方式
     */
    private String shareType;

    /**
     * 申请应用，不能为空
     */
    private String application;

    /**
     * 使用期限（天），不能为空
     */
    private Integer usePeriod;

    /**
     * 认证类型，不能为空
     */
    private String authenticationType;

    /**
     * IP地址白名单，用逗号分隔，例如：192.168.1.1,192.168.1.2    ，不能为空
     */
    private String ipAddress;

    /**
     * 每天访问限制，不能为空
     */
    private Integer dailyAccessLimit;

    /**
     * 创建日期，不能为空
     */
    private Date createDate;

    /**
     * 更新日期，不能为空
     */
    private Date updateDate;

    /**
     * 失效日期，不能为空
     */
    private Date invalidDate;

    /***
     * 可以使用的服务名称，以逗号分隔，例如：GEO_SERVER,IMAGE_SERVER   ，不能为空
     */
    private String serverName;

    /***
     * 是否在用，0 在用，1 已删除，2 已过期，3 已拉黑  ，不能为空
     */
    private Integer archived;

    private String errorMsg;

    /**
     * 备注
     */
    private String note;

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getToken() {
        return token;
    }

    public void setToken(String token) {
        this.token = token;
    }

    public String getUseType() {
        return useType;
    }

    public void setUseType(String useType) {
        this.useType = useType;
    }

    public String getApplicant() {
        return applicant;
    }

    public void setApplicant(String applicant) {
        this.applicant = applicant;
    }

    public String getApplicantUnit() {
        return applicantUnit;
    }

    public void setApplicantUnit(String applicantUnit) {
        this.applicantUnit = applicantUnit;
    }

    public String getDataUseUnit() {
        return dataUseUnit;
    }

    public void setDataUseUnit(String dataUseUnit) {
        this.dataUseUnit = dataUseUnit;
    }

    public String getSceneCategory() {
        return sceneCategory;
    }

    public void setSceneCategory(String sceneCategory) {
        this.sceneCategory = sceneCategory;
    }

    public String getMatterName() {
        return matterName;
    }

    public void setMatterName(String matterName) {
        this.matterName = matterName;
    }

    public String getDemandDescription() {
        return demandDescription;
    }

    public void setDemandDescription(String demandDescription) {
        this.demandDescription = demandDescription;
    }

    public String getShareType() {
        return shareType;
    }

    public void setShareType(String shareType) {
        this.shareType = shareType;
    }

    public String getApplication() {
        return application;
    }

    public void setApplication(String application) {
        this.application = application;
    }

    public Integer getUsePeriod() {
        return usePeriod;
    }

    public void setUsePeriod(Integer usePeriod) {
        this.usePeriod = usePeriod;
    }

    public String getAuthenticationType() {
        return authenticationType;
    }

    public void setAuthenticationType(String authenticationType) {
        this.authenticationType = authenticationType;
    }

    public String getIpAddress() {
        return ipAddress;
    }

    public void setIpAddress(String ipAddress) {
        this.ipAddress = ipAddress;
    }

    public Integer getDailyAccessLimit() {
        return dailyAccessLimit;
    }

    public void setDailyAccessLimit(Integer dailyAccessLimit) {
        this.dailyAccessLimit = dailyAccessLimit;
    }

    public Date getCreateDate() {
        return createDate;
    }

    public void setCreateDate(Date createDate) {
        this.createDate = createDate;
    }

    public Date getInvalidDate() {
        return invalidDate;
    }

    public void setInvalidDate(Date invalidDate) {
        this.invalidDate = invalidDate;
    }

    public String getServerName() {
        return serverName;
    }

    public void setServerName(String serverName) {
        this.serverName = serverName;
    }

    public Integer getArchived() {
        return archived;
    }

    public void setArchived(Integer archived) {
        this.archived = archived;
    }

    public String getNote() {
        return note;
    }

    public void setNote(String note) {
        this.note = note;
    }

    public String getErrorMsg() {
        return errorMsg;
    }

    public void setErrorMsg(String errorMsg) {
        this.errorMsg = errorMsg;
    }

    public Date getUpdateDate() {
        return updateDate;
    }

    public void setUpdateDate(Date updateDate) {
        this.updateDate = updateDate;
    }

    @Override
    public String toString() {
        return "PYToken{" +
                "id=" + id +
                ", token='" + token + '\'' +
                ", useType='" + useType + '\'' +
                ", applicant='" + applicant + '\'' +
                ", applicantUnit='" + applicantUnit + '\'' +
                ", dataUseUnit='" + dataUseUnit + '\'' +
                ", sceneCategory='" + sceneCategory + '\'' +
                ", matterName='" + matterName + '\'' +
                ", demandDescription='" + demandDescription + '\'' +
                ", shareType='" + shareType + '\'' +
                ", application='" + application + '\'' +
                ", usePeriod=" + usePeriod +
                ", authenticationType='" + authenticationType + '\'' +
                ", ipAddress='" + ipAddress + '\'' +
                ", dailyAccessLimit=" + dailyAccessLimit +
                ", createDate=" + createDate +
                ", updateDate=" + updateDate +
                ", invalidDate=" + invalidDate +
                ", serverName='" + serverName + '\'' +
                ", archived=" + archived +
                ", errorMsg='" + errorMsg + '\'' +
                ", note='" + note + '\'' +
                '}';
    }
}
